# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'diplo/version'

Gem::Specification.new do |spec|
  spec.name          = 'diplo'
  spec.version       = Diplo::VERSION
  spec.authors       = ['Victor Rodrigues']
  spec.email         = ['victorc.rodrigues@gmail.com']
  spec.summary       = 'Make distributed Ruby applications'
  spec.homepage      = 'https://github.com/rodrigues/diplo'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.6'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'pry'

  spec.add_dependency 'redis'
  spec.add_dependency 'hiredis'
  spec.add_dependency 'dotenv'
end
